package com.arrebol.taxiservicios.wrapper;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez
 */
public class SaleWrapper implements Serializable {

    private static final long serialVersionUID = 6865376244107918939L;

    private String taxiId;
    private String saleId;
    private String driverId;
    private Double payDay;
    private Double paySaving;
    private Date payDate;
    private String description;
    private String commentsIncompleteSale;
    private Double accident;
    private String driver;
    private boolean transfer = false;
    private boolean complete;
    private boolean incomplete;
    private Double payDayUpdate = 0.0;
    private Double paySavingUpdate = 0.0;
    private Double accidentUpdate = 0.0;
    private boolean payDayDisabled = true;
    private boolean paySavingisabled = true;
    private boolean accidentisabled = true;
    private boolean fee;
    private boolean paidPayment;
    private Double feeAmount;
    private String feeId;
    private String feeComment;
    private Date feeDate;
    private Double completeTotalSale;
    private boolean taller;
    private boolean nuevaAsignacion;
    private boolean banca;
    private boolean transferFee = false;
    
    public SaleWrapper() {
    }

    /**
     *
     * @param driverId Driver Id
     * @param saleId Sale Id
     * @param payDay Payment day
     * @param paySaving Saving payment day
     * @param payDate Dat of the payment
     * @param description Description
     * @param accident accident payment day
     */
    public SaleWrapper(String driverId, String saleId, Double payDay, Double paySaving, Date payDate, String description, Double accident) {
        this.driverId = driverId;
        this.saleId = saleId;
        this.payDay = payDay;
        this.paySaving = paySaving;
        this.payDate = payDate;
        this.description = description;
        this.accident = accident;
        completeTotalSale = payDay + paySaving + accident;
    }

    /**
     *
     * @param fee
     * @param feeAmount
     * @param feeId
     * @param feeComment
     * @param feeDate
     */
    public SaleWrapper(boolean fee, Double feeAmount, String feeId, String feeComment, Date feeDate) {
        this.fee = fee;
        this.feeAmount = feeAmount;
        this.feeId = feeId;
        this.feeComment = feeComment;
        this.feeDate = feeDate;
    }

    public String getTaxiId() {
        return taxiId;
    }

    public void setTaxiId(String taxiId) {
        this.taxiId = taxiId;
    }

    public String getSaleId() {
        return saleId;
    }

    public void setSaleId(String saleId) {
        this.saleId = saleId;
    }

    public void setDriverId(String driverId) {
        this.driverId = driverId;
    }

    public String getDriverId() {
        return driverId;
    }

    public Double getPayDay() {
        return payDay;
    }

    public void setPayDay(Double payDay) {
        this.payDay = payDay;
    }

    public Double getPaySaving() {
        return paySaving;
    }

    public void setPaySaving(Double paySaving) {
        this.paySaving = paySaving;
    }

    public Date getPayDate() {
        return payDate;
    }

    public void setPayDate(Date payDate) {
        this.payDate = payDate;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCommentsIncompleteSale() {
        return commentsIncompleteSale;
    }

    public void setCommentsIncompleteSale(String commentsIncompleteSale) {
        this.commentsIncompleteSale = commentsIncompleteSale;
    }

    public Double getAccident() {
        return accident;
    }

    public void setAccident(Double accident) {
        this.accident = accident;
    }

    public String getDriver() {
        return driver;
    }

    public void setDriver(String driver) {
        this.driver = driver;
    }

    public boolean isComplete() {
        return complete;
    }

    public void setComplete(boolean complete) {
        this.complete = complete;
    }

    public void setIncomplete(boolean incomplete) {
        this.incomplete = incomplete;
    }

    public boolean isIncomplete() {
        return incomplete;
    }

    public Double getPayDayUpdate() {
        return payDayUpdate;
    }

    public void setPayDayUpdate(Double payDayUpdate) {
        this.payDayUpdate = payDayUpdate;
    }

    public Double getPaySavingUpdate() {
        return paySavingUpdate;
    }

    public void setPaySavingUpdate(Double paySavingUpdate) {
        this.paySavingUpdate = paySavingUpdate;
    }

    public Double getAccidentUpdate() {
        return accidentUpdate;
    }

    public void setAccidentUpdate(Double accidentUpdate) {
        this.accidentUpdate = accidentUpdate;
    }

    public boolean isPayDayDisabled() {
        return payDayDisabled;
    }

    public void setPayDayDisabled(boolean payDayDisabled) {
        this.payDayDisabled = payDayDisabled;
    }

    public boolean isPaySavingisabled() {
        return paySavingisabled;
    }

    public void setPaySavingisabled(boolean paySavingisabled) {
        this.paySavingisabled = paySavingisabled;
    }

    public boolean isAccidentisabled() {
        return accidentisabled;
    }

    public void setAccidentisabled(boolean accidentisabled) {
        this.accidentisabled = accidentisabled;
    }

    public boolean isTransfer() {
        return transfer;
    }

    public void setTransfer(boolean transfer) {
        this.transfer = transfer;
    }

    public boolean isFee() {
        return fee;
    }

    public void setFee(boolean fee) {
        this.fee = fee;
    }

    public Double getFeeAmount() {
        return feeAmount;
    }

    public void setFeeAmount(Double feeAmount) {
        this.feeAmount = feeAmount;
    }

    public String getFeeId() {
        return feeId;
    }

    public void setFeeId(String feeId) {
        this.feeId = feeId;
    }

    public String getFeeComment() {
        return feeComment;
    }

    public void setFeeComment(String feeComment) {
        this.feeComment = feeComment;
    }

    public Date getFeeDate() {
        return feeDate;
    }

    public void setFeeDate(Date feeDate) {
        this.feeDate = feeDate;
    }

    public Double getCompleteTotalSale() {
        return completeTotalSale;
    }

    public void setCompleteTotalSale(Double completeTotalSale) {
        this.completeTotalSale = completeTotalSale;
    }

    public boolean isTaller() {
        return taller;
    }

    public void setTaller(boolean taller) {
        this.taller = taller;
    }

    public boolean isPaidPayment() {
        return paidPayment;
    }

    public void setPaidPayment(boolean paidPayment) {
        this.paidPayment = paidPayment;
    }

    public boolean isNuevaAsignacion() {
        return nuevaAsignacion;
    }

    public void setNuevaAsignacion(boolean nuevaAsignacion) {
        this.nuevaAsignacion = nuevaAsignacion;
    }

    public boolean isBanca() {
        return banca;
    }

    public void setBanca(boolean banca) {
        this.banca = banca;
    }

    public boolean isTransferFee() {
        return transferFee;
    }

    public void setTransferFee(boolean transferFee) {
        this.transferFee = transferFee;
    }

    @Override
    public String toString() {
        return "SaleWrapper{" + "taxiId=" + taxiId + ", saleId=" + saleId + ", payDate=" + payDate + ", description=" + description + '}';
    }

}
